# class KRootPermsIcon | Icon to show whether or not a user has root permissions. More...
Definition | `#include <kauthicon.h>`
Inherits | KAuthIcon [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KRootPermsIcon (QWidget *parent = 0, const char *name = 0)
- ~KRootPermsIcon ()
- bool status () const

#### Public Slots

- void updateStatus ()

#### Protected Members

- bool root

## Detailed Description

Icon to show whether or not a user has root permissions.

See also: KAuthIcon

KRootPermsIcon (QWidget *parent = 0, const char *name = 0) | ### KRootPermsIcon

~KRootPermsIcon () | ### ~KRootPermsIcon

bool status () | ### status

[const]

return whether or not the current user has root permissions.

Reimplemented from KAuthIcon.

void updateStatus () | ### updateStatus

[slot]

Reimplemented from KAuthIcon.

bool root | ### root

[protected]

- Author: Preston Brown <pbrown@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.